Subject: Re: [PATCH v5 09/12] cifs: Cut over to using netfslib

From: David Howells <[email-masked]>
Date: Mon, 19 Feb 2024 15:06:37 +0000

Simon Horman <[email-masked]> wrote:

> However, the code below this hunk, other than being guarded by
> smb3_use_rdma_offload(io_parms), uses rdata unconditionally.

Yeah - it does that even without my patches.  SMB2_read() can call the
function with rdata == NULL, but I'm unsure as to whether the RDMA branch will
ever be used except for actual reads - in which case rdata will not be NULL at
the "rdata->mr" point.

David